---
title: This endpoint is used to set mappings of the file with existing system.
slug: api-documentation/hnGF-this-endpoint-is-used-to-set-mappings-of-the-file-with-existing-system
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "_hK2flP1EKKpXH5fqMoHM",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping"
      }
    ],
    "name": "This endpoint is used to set mappings of the file with existing system.",
    "description": "Set mappings of the batch import file.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "FieldMap.json",
          "schema": [],
          "modelRef": "RestAPI/GeneralRestResponse/FieldMap.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "Pim Batch Import mappings updated successfully.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "JryK0iUIkQwcxRfaVMFbn",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping \\\n     --header 'accept: application/json'"
        },
        {
          "id": "fQ_n6CQFIP4C2RMKeZHZT",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "z1PJLpnAr0ObL23JxxqsZ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2EHiv_XCo-dBhZMg9eb4R",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/batch/product-template/{id}/column-mapping\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "JryK0iUIkQwcxRfaVMFbn"
    },
    "results": {
      "languages": [
        {
          "id": "vLnUfJTiOl3bRIy_xz6k6",
          "language": "204",
          "code": "// Pim Batch Import mappings updated successfully.\n"
        }
      ],
      "selectedLanguageId": "vLnUfJTiOl3bRIy_xz6k6"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}